Bug 522936 - Xorg crashes on startup (with "AllowEmptyInput" "False" / "AutoAddDevices" "False" without compiz)
Summary: Xorg crashes on startup (with "AllowEmptyInput" "False" / "AutoAddDevices" "...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 13
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 11:01 UTC by udo
Modified: 2018-04-11 09:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-09 05:41:17 UTC


Attachments (Terms of Use)
Xorg.0.log that accompanies a Xord segfault (34.25 KB, text/plain)
2009-09-14 15:43 UTC, Sean
no flags Details

Description udo 2009-09-12 11:01:14 UTC
Description of problem:
Xorg crashes on startup

Version-Release number of selected component (if applicable):
1.6.3-4

How reproducible:
Update to 
xorg-x11-server-Xorg.x86_64     1.6.3-4.fc11
xorg-x11-server-common.x86_64 1.6.3-4.fc11                                                         

Steps to Reproduce:
1.Update to 
xorg-x11-server-Xorg.x86_64     1.6.3-4.fc11
xorg-x11-server-common.x86_64 1.6.3-4.fc11                                                         
2. restart Xorg
3. check /var/log/messages and Xorg.0.log
  
Actual results:
Xorg crashes

Expected results:
Xorg runs fine

Additional info:

xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
xorg-x11-server-common-1.6.1.901-1.fc11.x86_64
run fine
radeonhd from git wunning with drm/dri/whatever.

Sep 11 11:15:07 surfplank2 kernel: Xorg[3742]: segfault at 7fff9f727000 ip 0000000000478186 sp 00007fff9f724a10 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:07 surfplank2 gdm-binary[3661]: WARNING: GdmDisplay: display lasted 0.237313 seconds
Sep 11 11:15:07 surfplank2 kernel: Xorg[3744]: segfault at 7fff214fa000 ip 0000000000478186 sp 00007fff214f8a20 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:07 surfplank2 gdm-binary[3661]: WARNING: GdmDisplay: display lasted 0.031906 seconds
Sep 11 11:15:07 surfplank2 kernel: Xorg[3746]: segfault at 7fffb5266000 ip 0000000000478186 sp 00007fffb5265490 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:07 surfplank2 gdm-binary[3661]: WARNING: GdmDisplay: display lasted 0.076741 seconds
Sep 11 11:15:07 surfplank2 gdm-binary[3661]: WARNING: GdmDisplay: display lasted 0.022372 seconds
Sep 11 11:15:07 surfplank2 kernel: Xorg[3748]: segfault at 7ffff0fa7000 ip 0000000000478186 sp 00007ffff0fa5b60 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:08 surfplank2 kernel: Xorg[3750]: segfault at 7fff086aa000 ip 0000000000478186 sp 00007fff086a85a0 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:08 surfplank2 gdm-binary[3661]: WARNING: GdmDisplay: display lasted 0.026535 seconds
Sep 11 11:15:08 surfplank2 kernel: Xorg[3752]: segfault at 7fff0a468000 ip 0000000000478186 sp 00007fff0a4657a0 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:08 surfplank2 gdm-binary[3661]: WARNING: GdmDisplay: display lasted 0.021759 seconds
Sep 11 11:15:08 surfplank2 gdm-binary[3661]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Sep 11 11:15:08 surfplank2 init: prefdm main process (3661) terminated with status 1
Sep 11 11:15:08 surfplank2 init: prefdm main process ended, respawning
Sep 11 11:15:08 surfplank2 kernel: Xorg[3807]: segfault at 7fff6e15d000 ip 0000000000478186 sp 00007fff6e15beb0 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:08 surfplank2 gdm-binary[3753]: WARNING: GdmDisplay: display lasted 0.022084 seconds
Sep 11 11:15:08 surfplank2 gdm-binary[3753]: WARNING: GdmDisplay: display lasted 0.021633 seconds
Sep 11 11:15:08 surfplank2 kernel: Xorg[3809]: segfault at 7fff3ef40000 ip 0000000000478186 sp 00007fff3ef3efd0 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:08 surfplank2 gdm-binary[3753]: WARNING: GdmDisplay: display lasted 0.022273 seconds
Sep 11 11:15:08 surfplank2 kernel: Xorg[3811]: segfault at 7fff2799f000 ip 0000000000478186 sp 00007fff2799d5c0 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:08 surfplank2 kernel: Xorg[3813]: segfault at 7fff9906f000 ip 0000000000478186 sp 00007fff9906e1c0 error 4 in Xorg[400000+1b6000]
Sep 11 11:15:08 surfplank2 gdm-binary[3753]: WARNING: GdmDisplay: display lasted 0.027958 seconds
Sep 11 11:15:08 surfplank2 gdm-binary[3753]: WARNING: GdmDisplay: display lasted 0.021465 seconds

# cat Xorg.1.log

X.Org X Server 1.6.3
Release Date: 2009-7-31
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.4.1.el5 x86_64 
Current Operating System: Linux surfplank2.hierzo 2.6.30.5 #12 SMP PREEMPT Tue Aug 18 17:35:18 CEST 2009 x86_64
Kernel command line: ro root=/dev/myvg/rootlv noexec=on noexec32=on vga=0x0F01
Build Date: 19 August 2009  12:30:06AM
Build ID: xorg-x11-server 1.6.3-4.fc11 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Fri Sep 11 11:37:20 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "MyScreen" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "RadeonHD2600"
(==) No monitor specified for screen "MyScreen".
	Using a default monitor configuration.
(**) Option "DontZap" "False"
(**) Option "AllowEmptyInput" "False"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
(==) ModulePath set to "/usr/lib64/xorg/modules"
(eof)

Comment 1 Kelvin J. Hill 2009-09-12 17:23:46 UTC
I can confirm that the same problem is occuring on i386 architecture as well.
xorg-x11-server-Xorg-1.6.3-4.fc11.i586

From "dmesg" 

Xorg[3587]: segfault at 0 ip 0812d5b6 sp bfaf1608 error 4 in Xorg[8047000+1b8000]
[drm] LVDS-8: set mode 1024x600 c


This is a testing disaster....

Comment 2 udo 2009-09-12 17:41:22 UTC
to #1: can you please name the video driver, just in case?

Comment 3 udo 2009-09-12 17:50:19 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=522713 which is closed because it is a 'duplicate' to a compiz-related bug.

The essential thing here is that compiz is NOT used at all here and Xorg crashes when it starts, I cannot even log on.
So https://bugzilla.redhat.com/show_bug.cgi?id=522713 is essentially the same as this issue here.

Comment 4 Ethan Shalev 2009-09-12 17:56:04 UTC
I can confirm the same problem on Acer Aspire 5720z.

I ended up uninstalling all compiz-related packages, and the system is working fine under Metacity. But this is (as Kelvin put it) a testing disaster.

Comment 5 udo 2009-09-12 18:05:45 UTC
compiz is not in use here.
still worth a try?

Comment 6 Anand Renake 2009-09-13 09:20:58 UTC
Last night I updated my system using yum and X wont start at boot up. No KDM screen.

_____
Sep 13 05:50:50 anandspc kernel: X[3259]: segfault at 1 ip 080e12ae sp bfde4020 error 4 in Xorg[8048000+1b7000]
Sep 13 05:50:50 anandspc kdm[3220]: X server died during startup
Sep 13 05:50:50 anandspc kdm[3220]: X server for display :0 cannot be started, session disabled
_____

xorg-x11-server-Xorg  i586  1.6.3-4.fc11                           
xorg-x11-server-common  i586 1.6.3-4.fc11 
_____
[root@anandspc log]# uname -a
Linux anandspc 2.6.30.5-43.fc11.i586 #1 SMP Thu Aug 27 21:18:54 EDT 2009 i686 athlon i386 GNU/Linux
_____

If I run X in shell, I get segmentation fault.

I had to un-install the above rpms and install older rpms from fedora repo.

Let me know how to provide additional info, if any, if needed.

Thnx

Comment 7 udo 2009-09-13 09:35:49 UTC
Are we all NOT using compiz?

Comment 8 Kelvin J. Hill 2009-09-13 10:42:53 UTC
I was using compiz. It now no longer works on my NVidia graphics based system but at least I could log into Gnome. Disabling Desktop Effects via the gui worked but then trying to re-enable them failed.

In my Intel graphics based system I could not log into Gnome but could into KDE. Using the "desktop_effects" utility to then turn them off while in KDE then allowed me to log back into Gnome.

Comment 9 Anand Renake 2009-09-13 18:20:36 UTC
I cannot get the login screen at all with the above X server version, so KDE, GNOME [thus compiz] is totally out of question for me.

X fails to start.

Comment 10 Sean 2009-09-14 15:41:39 UTC
Gnome started crashing for me, as well. I used yum to update to xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64, and since then Gnome crashes when I log in.

MACHINE: Thinkpad T61, Core 2 Duo 64-bit, 4 gigabytes memory, Intel GM965 integrated display adapter

lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

ENVIRONMENT: Fedora 11 x86_64, gnome-desktop-2.26.3-2.fc11.x86_64, desktop effects enabled, single built-in display, no "xorg.conf" file.

tail yum.log
Sep 12 18:35:39 Updated: libpurple-2.6.2-1.fc11.x86_64
Sep 12 18:35:51 Updated: selinux-policy-3.6.12-82.fc11.noarch
Sep 12 18:35:51 Updated: gnome-python2-gtkhtml2-2.25.3-7.fc11.x86_64
Sep 12 18:35:52 Updated: gnome-python2-libegg-2.25.3-7.fc11.x86_64
Sep 12 18:36:09 Updated: selinux-policy-targeted-3.6.12-82.fc11.noarch
Sep 12 18:36:09 Updated: 2:qemu-kvm-0.10.6-4.fc11.x86_64
Sep 12 18:36:11 Updated: firefox-3.5.3-1.fc11.x86_64
Sep 12 18:36:12 Updated: xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64
Sep 12 18:36:13 Updated: xorg-x11-drv-evdev-2.2.5-1.fc11.x86_64
Sep 12 18:36:13 Updated: xorg-x11-drv-fpit-1.3.0-3.fc11.x86_64

BEHAVIOR: The machine boots normally and displays the login screen. When I log in, the Gnome desktop tries to start but crashes, sending me back to the log in screen. Sometimes it gets far enough to play the part of the login sound effect, sometimes it doesn't. If I keep trying, sometimes it will let me in and the Gnome Desktop will start up normally. Sometimes it takes four or five tries; this morning it took about a dozen tries.

When I eventually DO get in to Gnome, there are from two to four "gnome-panel" processes, each trying to take as much CPU time as possible. For example, if there are four processes, each will be using 50% of one processor core. If there are three, two will be hammering one core while the third has 100% of the other core. I can kill these processes without affecting my current Gnome session.

If I check /var/log/messages, each attempt produces various errors from pulseaudio, bonobo-activation-server, gnome-keyring-ask, etc, complaining that they can't access desktop resources. These messages are not consistent. However, every time the messages are preceeded by an Xorg segmentation fault. A typical block of messages looks like this:

Sep 14 07:44:26 localhost kernel: Xorg[2289]: segfault at 0 ip 00000000004e8e0b sp 00007fffc0baa258 error 4 in Xorg[400000+1b6000]
Sep 14 07:44:27 localhost kernel: [drm] LVDS-8: set mode 1680x1050 f
Sep 14 07:44:27 localhost NetworkManager: <info>  Activation (wlan0) starting connection 'Auto domain.net'
Sep 14 07:44:27 localhost NetworkManager: <info>  (wlan0): device state change: 3 -> 4 (reason 0)
[...output omitted...]
Sep 14 07:44:27 localhost pulseaudio[2601]: main.c: Failed to acquire org.pulseaudio.Server: org.freedesktop.DBus.Error.Disconnected: Connection was disconnected before a reply was received
Sep 14 07:44:27 localhost pulseaudio[2601]: x11wrap.c: XOpenDisplay() failed
Sep 14 07:44:27 localhost pulseaudio[2601]: module.c: Failed to load  module "module-x11-publish" (argument: "display=:0.0"): initialization failed.
Sep 14 07:44:27 localhost gnome-keyring-ask: Gtk: cannot open display: :0.0
Sep 14 07:44:27 localhost gnome-keyring-daemon[2514]: missing dialog response from ask tool
[...etc...etc...]

I'll attach an Xorg.0.log for one of the crashes.

Please contact me if I can provide some more helpful information.

Comment 11 Sean 2009-09-14 15:43:06 UTC
Created attachment 360963 [details]
Xorg.0.log that accompanies a Xord segfault

This Xorg.0.log goes with comment #10.

Comment 12 udo 2009-09-16 14:16:53 UTC
FWIW: this bug is `my` situation where there is NO compiz at all. 
If you are/were using compiz and see crashing you might be seeing another bug happening I learned from checking similar bugreports.

Comment 13 Panos Kavalagios 2009-09-17 05:57:31 UTC
Udo, your Xorg's backtrace looks very similar with the one that was given in bug 518748 for compiz users. If you have already tested the candidate updates from:

http://koji.fedoraproject.org/koji/buildinfo?buildID=131217

and you still facing problems, it might be another problem. I'd also suggest to remove any kernel arguments about your video card (modeset, vga) and try with a minimal xorg.conf. I've also seen that AutoAddDevices option also causes problems on newer xorg versions. 

Compiz, kwin and metacity are all frontend window managers. The problem is located to xorg backend X server. If X server fails, no window manager will work.

Comment 14 udo 2009-09-17 09:20:33 UTC
I tried the updated xserver rpms. Same type of messages.
I just have a vga= item in the kernel line for more lines with startup messsages. I do not see why this is a problem.

xorg.conf is quite basic:

Section "Monitor"
        Identifier   "Philips"
EndSection

Section "ServerFlags"
        Option  "AllowEmptyInput" "False"
	Option "DontZap" "False"
EndSection

Section "Device"
        Identifier  "RadeonHD2600"
        Driver      "radeonhd"
	Option "DRI"
	Option "AccelMethod" "exa"
EndSection

Section "Screen"
        Identifier "MyScreen"
        Device     "RadeonHD2600"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Virtual  1680 1050
        EndSubSection
EndSection

Section "DRI"
        Mode         0666
EndSection

I do not see what could be a problem here. What should not work all of a sudden?
Are there any releasenotes for these buggy xorg releases?

Comment 15 Gabriel Ramirez 2009-09-18 04:28:08 UTC
(In reply to comment #14)
> I tried the updated xserver rpms. Same type of messages.
> I just have a vga= item in the kernel line for more lines with startup
> messsages. I do not see why this is a problem.

maybe is a shot in the dark, but can you try:
ls -l /usr/lib/libGL* if your machine is x86_64 execute: ls -l /usr/lib64/libGL*

and look if the symlinks point to the correct libraries maybe some symlink is pointing to a non-existant library file

Comment 16 Panos Kavalagios 2009-09-18 05:40:39 UTC
Udo, your xorg.conf does not look simple at all. There are some specific sections like DRI and many options (AccelMethod) that might affect the server's stability. I'd suggest to save it somewhere and use system-config-display to produce a very simple configuration. Basically, only the driver and resolution you may need to specify in your config.

For symbolic link problem in your system libraries as Gabriel suggests, you can also simply run ldconfig to resolve them.

Comment 17 Panos Kavalagios 2009-09-18 05:51:03 UTC
May I also suggest to try the "radeon" driver? I think it's better for ati r600 cards, as it supports better video playback. Anyway both drivers should support your rv635 card.

Comment 18 udo 2009-09-18 06:07:02 UTC
I have been using radeonhd since 1.0.0 with very little problems.
The config is simple.
It does what I need. It has been doing so since using radeonhd.
Why, all of a sudden, would radeonhd or accelleration be an issue when it hasn't been for months?
If this Xorg is a feature downgrade I will frown upon it.

Comment 19 udo 2009-09-18 06:23:52 UTC
#15:

$ ls -l /usr/lib64/libGL*
lrwxrwxrwx 1 root root     10 2009-07-02 16:08 /usr/lib64/libGL.so -> libGL.so.1
lrwxrwxrwx 1 root root     12 2009-07-02 16:08 /usr/lib64/libGL.so.1 -> libGL.so.1.2
-rwxr-xr-x 1 root root 484072 2009-06-12 06:49 /usr/lib64/libGL.so.1.2
lrwxrwxrwx 1 root root     11 2009-07-02 16:08 /usr/lib64/libGLU.so -> libGLU.so.1
lrwxrwxrwx 1 root root     20 2009-07-02 16:08 /usr/lib64/libGLU.so.1 -> libGLU.so.1.3.070600
-rwxr-xr-x 1 root root 392768 2009-06-12 06:49 /usr/lib64/libGLU.so.1.3.070600

Comment 20 Panos Kavalagios 2009-09-18 14:19:16 UTC
I strongly believe that there always be a good reason for the developers to drop a specific option in favour of something else. For example the new intel driver won't support XAA accelmethod, neither EXA anymore:

quote from x.org:
------
The latest release is xf86-video-intel-2.8.0, which requires xorg-server 1.6.0 or newer. The xf86-video-intel-2.8.0 drops XAA and EXA support,Only supports UXA. It will work best with an i915 module from a recent kernel (2.6.31) and with kernel-modesetting (KMS, specified by loading i915 with the option "modeset=1").
------

I'm using XAA at the moment. So, when the new driver come out, I have to adjust my configuration as well. That's the software's and user's life. 

Your "simple" config has already many options that might have caused you problem. If you have time, you could make some tests. Otherwise wait for a Fedora representative to further assist you.

Comment 21 udo 2009-09-18 14:28:29 UTC
I strongly believe such changes should be well documented.

Comment 22 udo 2009-09-18 14:29:03 UTC
Also errorhandling, if any due to these changes, could be slightly more gracefully.

Comment 23 Panos Kavalagios 2009-09-18 14:44:44 UTC
Udo, I understand your frustration, but I don't think that a distribution's bug report is the right place for such kind of comments. You should redirect your complains to xorg maintainers or forums. Place here any other finding that could help the Fedora maintainers to resolve or communicate the issue to upstream developers.

Comment 24 udo 2009-09-18 15:17:18 UTC
Don't see the above remarks as frustration. Just `findings` assuming info from someone else is true. In fact I am asking for documentation stating the changes so we can verify what should and what shouldn't work in my rv63x situation.

Also the intel driver (!) may drop whatever. The server documentation is what I am asking about.

Comment 25 Anand Renake 2009-09-18 18:22:57 UTC
Hi,

I am trying Panos's suggestions and will update shortly. I and Udo have the same problem. Only difference being mine is 32 bit Fedora and his is 64 bit.
Mine is Nvidia 6150 onboard gfx chip.

I would say that Fedora should not incorporate any patches/updates which can user's machine unusable!

Comment 26 Gabriel Ramirez 2009-09-18 18:41:56 UTC
#19 

your symlinks look good. so it's other problem,

(In reply to comment #18)
> I have been using radeonhd since 1.0.0 with very little problems.
> The config is simple.
> It does what I need. It has been doing so since using radeonhd.
> Why, all of a sudden, would radeonhd or accelleration be an issue when it
> hasn't been for months?
> If this Xorg is a feature downgrade I will frown upon it.  

ok let me understand your situation (you have a working machine) if you
execute:
yum downgrade xorg-x11-server-Xorg xorg-x11-server-common

your  machine runs a gnome session just fine  but if you yum update it's a no
go

option 1: maybe you need recompile your radeonhd driver against the new
xorg-x11-server-devel-1.6.4-0.1 or the devel-1.6.3-4

or
option 2: as Panos said install kmod-catalyst frpm rpmfusion non free
repository via yum
and reinstall via yum/rpms any libraries which you compiled to prevent any
mismatch

or if option #1 what libraries/programs besides radeonhd are you built from
source with versions if possible?

Comment 27 Anand Renake 2009-09-18 18:55:50 UTC
I think I have solved this.

Udo, please comment the following lines from your xorg.conf and try rebooting your machine or instead or rebooting simply change init level 5 -> 1 -> 5

Section "ServerFlags"
#        Option  "AllowEmptyInput" "False"
# Option "DontZap" "False"
EndSection

Try finding, [one by one or both at once], which of the above causes fault.
I hope that helps!
_____

I had the following in my xorg.conf which created the fault.

Section "ServerFlags"
        Option      "AIGLX" "on"
       Option      "AutoAddDevices" "False" # problem lies here
EndSection

I need  "AutoAddDevices" to be set as "False", what can be done to do it. Setting it as false leads to X server crash!!

Thanks!

Comment 28 udo 2009-09-19 08:57:40 UTC
(In reply to comment #27)
> I think I have solved this.
> 
> Udo, please comment the following lines from your xorg.conf and try rebooting
> your machine or instead or rebooting simply change init level 5 -> 1 -> 5
> 
> Section "ServerFlags"
> #        Option  "AllowEmptyInput" "False"
> # Option "DontZap" "False"
> EndSection
> 
> Try finding, [one by one or both at once], which of the above causes fault.
> I hope that helps!

I logged out. `init 3`. rm -f /var/log/Xorg*

I updated to 1.6.4.0.1.
I rebuilt radeonhd, installed it.

Xorg only started with 

> Section "ServerFlags"
> #        Option  "AllowEmptyInput" "False"
> # Option "DontZap" "False"
> EndSection

Commenting out DontZap alone did not work.
So it is AllowEmptyInput that's causing my issue here.

BUT: without this AllowEmptyInput line I don't have keyboard or mouse in X.
So I could work with 1.6.4.0 *IF* I can get teh keyboard mouse working.

Thanks for tipping us about this.

Comment 29 udo 2009-09-19 11:55:54 UTC
Now that we have a better idea of what triggers at least one form of the non-compiz crash for this Fedora Xorg release I opened this bug https://bugzilla.redhat.com/show_bug.cgi?id=524352 about the non-working alternative for `Option  "AllowEmptyInput" "False"`, `hal`.

Comment 30 Anand Renake 2009-09-19 14:17:54 UTC
Thanks for updating the bug.

For me, without setting
Option      "AutoAddDevices" "False"
games like Doom3 creates problems with keyboard bindings.

Comment 31 udo 2009-09-19 14:45:42 UTC
Can we work around AllowEmptyInput and AutoAddDevices somehow?

Comment 32 Sean 2009-09-19 15:16:29 UTC
As a follow-up to Comment #10:

Today the xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64 package hit the repositories. I did an update through PackageKit, rebooted, and now I have no more Xorg crashes -- I logged out and back in four times to make sure :) .

So I would encourage everyone to try the 1.6.4 package and see if it helps them, as well.

But since this bug was recently changed to "Xorg crashes on startup with AllowEmptyInput", and I have never used AllowEmptyInput, the fact that 1.6.4 fixed my situation doesn't mean that it will fix the "AllowEmptyInput" bug. So please don't close this bug unless someone who was using "AllowEmptyInput" as described in the new bug summary can verify that 1.6.4 fixes the bug.

Thanks Fedora and upstream! :)

Comment 33 Sean 2009-09-19 15:19:54 UTC
As a note for attachment " Xorg.0.log that accompanies a Xord segfault":

This attachment was submitted before the description of the bug was changed to --Xorg crashes on startup with "AllowEmptyInput" "False"--. That log was not produced on a machine that used the AllowEmptyInput parameter, so please disregard this attachment when looking for a AllowEmptyInput bug.

Comment 34 udo 2009-09-21 14:42:32 UTC
FWIW, as I wrote: 1.6.4.0.1 still crashes on "AllowEmptyInput" "False"

Comment 35 Ian Watson 2009-09-22 16:37:18 UTC
I am seeing the same issue. I have to add,

Section "ServerFlags"
    Option "AutoAddDevices" "false"
EndSection 

to the base xorg.conf file, to solve problem with nomachine.com NX client key mapping issue.
http://www.nabble.com/FC10-and-freeNX-td21739068.html

Not using compiz.

Is it an issue parsing the option?

/var/log/message
Sep 22 16:51:59 airpcigw /usr/sbin/gpm[1608]: *** info [daemon/startup.c(136)]: 
Sep 22 16:51:59 airpcigw /usr/sbin/gpm[1608]: Started gpm successfully. Entered daemon mode.
Sep 22 16:52:00 airpcigw kernel: Xorg[1681]: segfault at 2 ip 080e170e sp bfd5c940 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1638]: WARNING: GdmDisplay: display lasted 0.061302 seconds
Sep 22 16:52:00 airpcigw avahi-daemon[1273]: Registering new address record for fe80::221:ff:fe04:f1ca on eth1.*.
Sep 22 16:52:00 airpcigw kernel: Xorg[1683]: segfault at 2 ip 080e170e sp bfabcad0 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1638]: WARNING: GdmDisplay: display lasted 0.031574 seconds
Sep 22 16:52:00 airpcigw kernel: Xorg[1685]: segfault at 2 ip 080e170e sp bfbfa180 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1638]: WARNING: GdmDisplay: display lasted 0.035615 seconds
Sep 22 16:52:00 airpcigw kernel: Xorg[1687]: segfault at 2 ip 080e170e sp bfc04740 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1638]: WARNING: GdmDisplay: display lasted 0.049560 seconds
Sep 22 16:52:00 airpcigw kernel: Xorg[1689]: segfault at 2 ip 080e170e sp bfc3e3b0 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1638]: WARNING: GdmDisplay: display lasted 0.036702 seconds
Sep 22 16:52:00 airpcigw kernel: Xorg[1691]: segfault at 2 ip 080e170e sp bf8e6440 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1638]: WARNING: GdmDisplay: display lasted 0.022142 seconds
Sep 22 16:52:00 airpcigw gdm-binary[1638]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Sep 22 16:52:00 airpcigw init: prefdm main process (1638) terminated with status 1
Sep 22 16:52:00 airpcigw init: prefdm main process ended, respawning
Sep 22 16:52:00 airpcigw kernel: Xorg[1720]: segfault at 2 ip 080e170e sp bfc62260 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1692]: WARNING: GdmDisplay: display lasted 0.059470 seconds
Sep 22 16:52:00 airpcigw kernel: Xorg[1722]: segfault at 2 ip 080e170e sp bffe6f60 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1692]: WARNING: GdmDisplay: display lasted 0.022071 seconds
Sep 22 16:52:00 airpcigw kernel: Xorg[1724]: segfault at 2 ip 080e170e sp bfdd8d90 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1692]: WARNING: GdmDisplay: display lasted 0.022141 seconds
Sep 22 16:52:00 airpcigw kernel: Xorg[1726]: segfault at 2 ip 080e170e sp bfbe2df0 error 4 in Xorg[8048000+1b8000]
Sep 22 16:52:00 airpcigw gdm-binary[1692]: WARNING: GdmDisplay: display lasted 0.022026 seconds
Sep 22 16:52:00 airpcigw gdm-binary[1692]: WARNING: GdmDisplay: display lasted 0.021994 seconds
and so on

X.Org X Server 1.6.3.901 (1.6.4 RC 1)
Release Date: 2009-8-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-164.el5 i686 
Current Operating System: Linux airpcigw.air-semi.com 2.6.30.5-43.fc11.i586 #1 SMP Thu Aug 27 21:18:54 EDT 2009 i686
Kernel command line: ro root=UUID=84f38b41-0f9d-41f2-90b6-164153140b49
Build Date: 09 September 2009  11:25:24AM
Build ID: xorg-x11-server 1.6.4-0.1.fc11 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Sep 22 16:52:01 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "single head configuration"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Videocard0"
(==) No monitor specified for screen "Screen0".
        Using a default monitor configuration.
(**) |-->Input Device "Keyboard0"
(**) Option "DontZap" "false"
(**) Option "AllowEmptyInput" "off"
(**) Option "AutoAddDevices" "false"
(**) Not automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"

lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

Occurred when upgrade to xorg-x11-server-common-1.6.3-4.fc11.i586

Comment 36 udo 2009-10-01 17:36:31 UTC
If you need  "AllowEmptyInput" "False" to have keyboard in Xorg, you might want to look at this bug https://bugzilla.redhat.com/show_bug.cgi?id=524352, it hints to CONFIG_EVDEV which appears to help on my other PC.
I could omit "AllowEmptyInput" "False" after enabling this option.
This could make the newer Xorg updates work.

Comment 37 udo 2009-10-03 12:19:39 UTC
(In reply to comment #36)

The EVDEV kernel config option is indeed a workaround for "AllowEmptyInput" "False"; I can now confirm this.

This does, of course, not fix the bug in Xorg.

Comment 38 Matěj Cepl 2009-10-06 01:50:43 UTC
udo:

I think that the real problem is that you need to use AllowEmptyInput "off" at all. What exactly happens, when you upgrade to the latest packages from updates-testing and restart Xorg WITHOUT any xorg.conf at all?

1) what's wrong with radeon driver?
2) what's wrong with keyboard?

Thank you,

Matěj

Comment 39 Matěj Cepl 2009-10-06 01:54:59 UTC
Also, could you please also attach /var/log/Xorg.0.log from that testing run without any xorg.conf? Thank you.

Comment 40 udo 2009-10-06 02:48:12 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=524352

I want to use radeonhd.
without conf I cannot.
Also dualhead is harder to do that way.
I needed AudoAddDevices because I needed keyboard/mouse.
Without them no keyboard/mouse.

If Xorg starts crashing after an update that is a bug.

Currently I have the preferred workaround, hal, in place.
The bug in Xorg is still there, of course.

Comment 41 Peter Hutterer 2009-10-06 04:51:31 UTC
Comment on attachment 360963 [details]
Xorg.0.log that accompanies a Xord segfault

Marking the attachment as obsolete. This was a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=518748.

I'm getting confused reading through the bugreport here. Do I read this right that the server crashes when AllowEmptyInput is false but works fine if that option isn't present?

If so, I need a log file of such a crash to analyse the segfault.

Comment 42 Matěj Cepl 2009-10-06 09:51:03 UTC
(In reply to comment #40)
> See https://bugzilla.redhat.com/show_bug.cgi?id=524352
> 
> I want to use radeonhd.

I don't ask you to give up on radeonhd forever, just we need to get clean testing logs.

> I needed AudoAddDevices because I needed keyboard/mouse.
> Without them no keyboard/mouse.

That's what I would like to investigate ... your deep faith in

AllowEmptyInput "false"

needs to be tested a little bit :) ... I haven't met any problems with hal/evdev in recent Fedora 11 packages for some time, so I would like to see what exactly is going wrong for you. Again, I don't try to convert you to the right evdev faith, just want to find out what's wrong in it for you.

> If Xorg starts crashing after an update that is a bug.

yes, but the question is where. Is it bug in Xorg server, driver, somewhere else? The information I asked you to provide could help us to find out.

Thanks a lot for filing this bug report.

Matěj

Comment 43 Matěj Cepl 2009-10-06 09:53:34 UTC
(In reply to comment #41)
> I'm getting confused reading through the bugreport here. Do I read this right
> that the server crashes when AllowEmptyInput is false but works fine if that
> option isn't present?
> 
> If so, I need a log file of such a crash to analyse the segfault.  

Yes, and reporter this is the second log we need to get from you ... set up Xorg to your preferred state (radeonhd, AllowEmptyInput "false") and let it crash. Then save /var/log/Xorg.0.log somewhere else, so it is not rewritten on next reboot, and attach this to this bug as well, please.

Thank you very much

Comment 44 Panos Kavalagios 2009-10-06 10:34:13 UTC
On my system there is no crash, just the X server hangs printing only the first 10 lines in Xorg log. Both variables:

Option          "AutoAddDevices" "off"
Option          "AllowEmptyInput" "false"

cause the same effect. You get a blank screen or if your system boots plymouth will not transit to Graphical login daemon. It might be a xorg behaviour change, since I don't need AutoAddDevices to off anymore. The X server respects the devices mentioned in my xorg.conf file.

Comment 45 Panos Kavalagios 2009-10-06 10:52:50 UTC
On my system, there is no crash by using those variables, I'd call it a hang. X server freezes by printing only the first ten lines in Xorg log without any error indication. Both variables:

Option          "AutoAddDevices" "off"
Option          "AllowEmptyInput" "false"

causes the same hang problem. If you logout with the variables set, you get a black screen and if your system comes up after a boot, plymouth won't transit to Graphical Login daemon. 

It might be a xorg behaviour change, since I don't need AutoAddDevices variable set to off any more. X server respects the devices stated in the xorg configuration file.

Comment 46 udo 2009-10-06 13:50:33 UTC
The log just stops during startup.
No segault in Xorg.0.log as in comment #45.
Just /var/log/messages as posted.

Yes it works 'fine' without the options mentioned, but thenw e don't have keyboard if we don't have CONFIG_EVDEV in kernel.

With both EVDEV and AllowEmptyInput I got *triple* characters on one keypress.

Comment 47 udo 2009-10-06 14:00:36 UTC
See comment #35 for a typical Xorg.0.log when the problem occurs. 
No segfault there.
My description has the accompanying messages which do show the segfault.

Comment 48 Matěj Cepl 2009-10-06 14:59:59 UTC
(In reply to comment #46)
> With both EVDEV and AllowEmptyInput I got *triple* characters on one keypress.  

Do you actually have triple (or double) character on one keypress? That's bug which has been resolved long time ago.

Could you take a look at https://fedoraproject.org/wiki/Input_device_configuration and https://fedoraproject.org/wiki/Xorg/Input_Triage_Algorithm whether you can make it work for you?

Comment 49 udo 2009-10-06 15:16:42 UTC
*Triple* characters was no issue for me after erasing the AllowEmptyInput line from xorg.conf.

Now:

When I do not have CONFIG_EVDEV and also have the AllowEmptyInput line in xorg.conf, then Xorg crashes.
The priority for me has decreased but it is still a bug.
What can we do to help you fix this?

Comment 50 Fedora Update System 2009-10-08 06:38:21 UTC
xorg-x11-server-1.6.4-0.3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.6.4-0.3.fc11

Comment 51 Fedora Update System 2009-10-09 03:31:24 UTC
xorg-x11-server-1.6.4-0.3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10319

Comment 52 Bug Zapper 2010-04-28 10:19:02 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 53 udo 2010-04-28 13:07:02 UTC
No positive mention of fix.

Comment 54 Peter Hutterer 2010-04-28 22:41:19 UTC
what's your current configuration file? and please attach the new Xorg.log from the new crash.

Comment 55 udo 2010-04-29 02:43:12 UTC
Due to config changes I no longer use the settings that previously caused a crash.
There was no report of a fix. That is why stuff was updated.

Comment 56 Bug Zapper 2010-11-04 10:04:17 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 57 Peter Hutterer 2010-11-07 23:05:53 UTC
this bug was filed against Fedora 11 and I haven't heard any negative or positive feedback on the patch we pushed out in April.

If this is still an issue, please detail again what the current problem is and attach a log file of the crash. Otherwise I'll assume it has been fixed, I vaguely remember working on this.

Comment 58 udo 2010-11-08 06:27:37 UTC
Did you fix anything here?
As I wrote in Comment 46 we have a workaround so we did not use/test the problem.

Comment 59 Peter Hutterer 2010-11-09 05:41:17 UTC
yes, hence comment #50 and #51, that was a patch specifically to address this problem here. anyway, closing this bug.

upstream commit c70511931ca1441878daed50e710fa514f6ab077
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun May 24 10:32:38 2009 +0200

    fix typo in cabff9007 which led to an unintialized memory read and a crash.


xorg-x11-server-1.6.4-0.3.fc11 and later


Note You need to log in before you can comment on or make changes to this bug.